Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.InOutBoard
Class InOutBoardServer

    java.lang.Object
      |
      +--context.arch.BaseObject
            |
            +--context.apps.InOutBoard.InOutBoardServer

public class InOutBoardServer
extends BaseObject

Fields inherited from class context.arch.BaseObject
`communications, EXIT_OK, handlers, ID, parser, PING, PING_REPLY, serviceHandlers`

Constructor Summary
`InOutBoardServer(int port)`

Method Summary
`DataObject` | `runUserMethod(DataObject data)` This is an empty method that should be overridden by the object that extends this class.
`void` | `setApp(InOutBoard theApp)`

Methods inherited from class context.arch.BaseObject
`askInterpreter, decodeData, encodeData, executeAsynchronousWidgetService, executeSynchronousWidgetService, getHostAddress, getId, getVersion, getVersion, getWidgetAttributes, getWidgetCallbacks, getWidgetServices, main, pingComponent, pollWidget, putDataInWidget, queryVersion, quit, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, returnPing, runComponentMethod, runMethod, serviceResult, setId, setVersion, subscribeTo, subscribeTo, subscribeTo, subscribeTo, unsubscribeFrom, updateAndPollWidget, userCallback, userRequest, userRequest, userRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InOutBoardServer

    public InOutBoardServer(int port)

Method Detail

### setApp

    public void setApp(InOutBoard theApp)

### runUserMethod

    public DataObject runUserMethod(DataObject data)
                             throws InvalidMethodException,
                                    MethodException

  Description copied from class: BaseObject
  This is an empty method that should be overridden by the object that extends this class. It will contain the user-defined RPCs.
  Overrides:
    runUserMethod in class BaseObject
  Tags copied from class: BaseObject
  Parameters:
    `data` - DataObject containing data for user-defined RPC
  Returns:
    result of RPC
  Throws:
    InvalidMethodException - thrown if specified RPC couldn't be found
    MethodException - thrown if specified RPC had an error
  See Also:
    `BaseObject.runMethod(String, DataObject)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD